Page MenuHomePhabricator

Present Wikistats 2 charts for the period selected by the user.
Closed, ResolvedPublic

Description

Example https://stats.wikimedia.org/v2/#/es.wikipedia.org/contributing/edits

If I select 'one month' I see date range Nov 18-30
If I select 'one year' I see January to November
'Two years' seems to show 23 months, but even verifying that takes another look as first and last month are not consistently shown on the x-axis.

Also does time range in '17.31% over this time range.' report on shown period or actually requested period?

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 18 2017, 8:39 PM
Erik_Zachte added a subscriber: Nuria.
Restricted Application added a project: Analytics. · View Herald TranscriptDec 18 2017, 9:06 PM
Milimetric removed Milimetric as the assignee of this task.Dec 21 2017, 4:26 PM
Milimetric added a subscriber: Milimetric.
Milimetric triaged this task as High priority.Apr 19 2018, 5:30 PM
mforns assigned this task to Nuria.Oct 8 2018, 4:18 PM
mforns added a project: Analytics-Kanban.
Nuria added a comment.Oct 8 2018, 5:18 PM

Closing as many bugs have been fixed on time selector since this one was filed, one month range is now correct: https://stats.wikimedia.org/v2/#/all-projects/contributing/edits/normal|bar|1-Month|~total

1 year time range displays 12 months back into the past: https://stats.wikimedia.org/v2/#/all-projects/contributing/edits/normal|bar|1-Year|~total
2 year time range displays 24 months: https://stats.wikimedia.org/v2/#/all-projects/contributing/edits/normal|bar|2-Year|~total

Nuria closed this task as Resolved.Oct 8 2018, 5:18 PM